Board index » jbuilder » Creating a MiDlet on JB 2006!

Creating a MiDlet on JB 2006!


2006-10-31 05:49:20 AM
jbuilder23
Hello,
I am having a problem with my JB, when I want to create a MIDlet, from
File-->New-->Micro I canīt choose the MIDP Midlet icon itīs
disablet..
How can I enable it, so that it is possible for me to choose that
icone??
thanks in advance
ero.
 
 

Re:Creating a MiDlet on JB 2006!

dita wrote:
Quote
Hello,
I am having a problem with my JB, when I want to create a MIDlet, from
File-->New-->Micro I canīt choose the MIDP Midlet icon itīs
disablet..

How can I enable it, so that it is possible for me to choose that
icone??

thanks in advance
ero.

You did not read the text details in the Micro pane, on the disabled
icons. It says
"Current JDK does not have a MIDlet class".
You need to:
1. Install a J2ME-based JDK
2. Configure that JDK under JBuilder (Tools | Configure | JDKs...)
3. Select the new J2ME JDK as your project's JDK (Project | Project
Properties -->Paths)
I suggest you start with the "Developing Mobile Applications" topic in
JBuilder help. All these steps are covered in detail in the help.
--
Regards,
Lori Olson [TeamB]
------------
Save yourself, and everyone else, some time and search the
newsgroups and the FAQ-O-Matic before posting your next
question.
Google Advanced Newsgroup Search
www.google.ca/advanced_group_search
Other Newsgroup Searches:
www.borland.com/newsgroups/ngsearch.html
Joi Ellis's FAQ-O-Matic:
www.visi.com/~gyles19/fom-serve/cache/1.html
 

Re:Creating a MiDlet on JB 2006!

Lori M Olson [TeamB] skrev:
Quote
dita wrote:
>Hello,
>I am having a problem with my JB, when I want to create a MIDlet, from
>File-->New-->Micro I canīt choose the MIDP Midlet icon itīs
>disablet..
>
>How can I enable it, so that it is possible for me to choose that
>icone??
>
>thanks in advance
>ero.
>

You did not read the text details in the Micro pane, on the disabled
icons. It says

"Current JDK does not have a MIDlet class".

You need to:

1. Install a J2ME-based JDK
2. Configure that JDK under JBuilder (Tools | Configure | JDKs...)
3. Select the new J2ME JDK as your project's JDK (Project | Project
Properties -->Paths)

I suggest you start with the "Developing Mobile Applications" topic in
JBuilder help. All these steps are covered in detail in the help.

--

Regards,

Lori Olson [TeamB]

------------

Save yourself, and everyone else, some time and search the
newsgroups and the FAQ-O-Matic before posting your next
question.

Google Advanced Newsgroup Search
www.google.ca/advanced_group_search
Other Newsgroup Searches:
www.borland.com/newsgroups/ngsearch.html
Joi Ellis's FAQ-O-Matic:
www.visi.com/~gyles19/fom-serve/cache/1.html
Thanx for your reply.
I have done all these steps that you have mention, and Iīm using J2ME
Wireless Toolkit 2.2.
But the problem still remains.
thanks in advance
Dita
 

{smallsort}